Run of lintian-fixes for minetest-mod-mobs-redo

Try this locally (using the lintian-brush package):

debcheckout minetest-mod-mobs-redo
cd minetest-mod-mobs-redo
lintian-brush
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
[2021-05-23 09:58:42] Running ['lintian-brush']
[2021-05-23 09:58:42] Opening branch at https://salsa.debian.org/games-team/minetest-mod-mobs-redo.git/,branch=master
[2021-05-23 09:59:07] Using cached branch https://janitor.debian.net/git/minetest-mod-mobs-redo/,branch=debian%2Flatest
[2021-05-23 09:59:36] Total 98 (delta 0), reused 0 (delta 0), pack-reused 93
[2021-05-23 09:59:53] Total 31 (delta 0), reused 0 (delta 0), pack-reused 26
[2021-05-23 10:00:06] Total 2 (delta 0), reused 0 (delta 0), pack-reused 2
[2021-05-23 10:00:06] Workspace ready - starting.
[2021-05-23 10:00:06] Assuming changelog needs to be updated, since it is always changed together with other files in the tree. Specify --no-update-changelog to override.
Use of uninitialized value $step in string ne at /usr/share/perl5/Debian/Debhelper/Buildsystem/perl_build.pm line 24.
Use of uninitialized value $step in string ne at /usr/share/perl5/Debian/Debhelper/Buildsystem.pm line 424.
[2021-05-23 10:01:19] Fixer 'upstream-metadata-file' failed to run:
Script /home/janitor/debian-janitor/lintian-brush/fixers/upstream-metadata-file.py failed with exit code: 1
Traceback (most recent call last):
  File "/usr/lib/python3.9/urllib/request.py", line 1346, in do_open
    h.request(req.get_method(), req.selector, req.data, headers,
  File "/usr/lib/python3.9/http/client.py", line 1255, in request
    self._send_request(method, url, body, headers, encode_chunked)
  File "/usr/lib/python3.9/http/client.py", line 1301, in _send_request
    self.endheaders(body, encode_chunked=encode_chunked)
  File "/usr/lib/python3.9/http/client.py", line 1250, in endheaders
    self._send_output(message_body, encode_chunked=encode_chunked)
  File "/usr/lib/python3.9/http/client.py", line 1010, in _send_output
    self.send(msg)
  File "/usr/lib/python3.9/http/client.py", line 950, in send
    self.connect()
  File "/usr/lib/python3.9/http/client.py", line 1424, in connect
    self.sock = self._context.wrap_socket(self.sock,
  File "/usr/lib/python3.9/ssl.py", line 500, in wrap_socket
    return self.sslsocket_class._create(
  File "/usr/lib/python3.9/ssl.py", line 1040, in _create
    self.do_handshake()
  File "/usr/lib/python3.9/ssl.py", line 1309, in do_handshake
    self._sslobj.do_handshake()
socket.timeout: _ssl.c:1106: The handshake operation timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/janitor/debian-janitor/lintian-brush/lintian_brush/__init__.py", line 415, in run
    exec(code, global_vars)
  File "/home/janitor/debian-janitor/lintian-brush/fixers/upstream-metadata-file.py", line 94, in <module>
    extend_upstream_metadata(
  File "/home/janitor/debian-janitor/upstream-ontologist/upstream_ontologist/guess.py", line 2359, in extend_upstream_metadata
    extend_from_lp(upstream_metadata, minimum_certainty, package)
  File "/home/janitor/debian-janitor/upstream-ontologist/upstream_ontologist/guess.py", line 1972, in extend_from_lp
    extend_from_external_guesser(
  File "/home/janitor/debian-janitor/upstream-ontologist/upstream_ontologist/guess.py", line 1924, in extend_from_external_guesser
    [UpstreamDatum(key, value, guesser_certainty)
  File "/home/janitor/debian-janitor/upstream-ontologist/upstream_ontologist/guess.py", line 1924, in <listcomp>
    [UpstreamDatum(key, value, guesser_certainty)
  File "/home/janitor/debian-janitor/upstream-ontologist/upstream_ontologist/guess.py", line 2612, in guess_from_launchpad
    sourcepackage_data = _load_json_url(sourcepackage_url)
  File "/home/janitor/debian-janitor/upstream-ontologist/upstream_ontologist/__init__.py", line 190, in _load_json_url
    http_contents = urlopen(
  File "/usr/lib/python3.9/urllib/request.py", line 214, in urlopen
    return opener.open(url, data, timeout)
  File "/usr/lib/python3.9/urllib/request.py", line 517, in open
    response = self._open(req, data)
  File "/usr/lib/python3.9/urllib/request.py", line 534, in _open
    result = self._call_chain(self.handle_open, protocol, protocol +
  File "/usr/lib/python3.9/urllib/request.py", line 494, in _call_chain
    result = func(*args)
  File "/usr/lib/python3.9/urllib/request.py", line 1389, in https_open
    return self.do_open(http.client.HTTPSConnection, req,
  File "/usr/lib/python3.9/urllib/request.py", line 1349, in do_open
    raise URLError(err)
urllib.error.URLError: <urlopen error _ssl.c:1106: The handshake operation timed out>

[2021-05-23 10:01:19] only add-on fixers found
[2021-05-23 10:01:19] Opened schroot session unstable-amd64-sbuild-1f168ac6-8a66-4ff8-89f9-37cc17636359 (from unstable-amd64-sbuild)
[2021-05-23 10:01:19] Using fixers: [PgBuildExtOutOfDateControlFixer(), SimpleBuildFixer(MissingConfigure, fix_missing_configure), SimpleBuildFixer(MissingAutomakeInput, fix_missing_automake_input), SimpleBuildFixer(MissingConfigStatusInput, fix_missing_config_status_input), SimpleBuildFixer(MissingPerlFile, fix_missing_makefile_pl), SimpleBuildFixer(DebcargoUnacceptablePredicate, coerce_unacceptable_predicate), DependencyBuildFixer(AptFetchFailure, retry_apt_failure), PackageDependencyFixer(AptResolver(<ognibuild.debian.apt.AptManager object at 0x7f0cb2ccaa60>, [functools.partial(<function python_tie_breaker at 0x7f0cb2cef430>, <GitWorkingTree of /home/janitor/tmp/janitork3yasylz/minetest-mod-mobs-redo>, ''), BuildDependencyTieBreaker('/var/run/schroot/mount/unstable-amd64-sbuild-1f168ac6-8a66-4ff8-89f9-37cc17636359'), <function popcon_tie_breaker at 0x7f0cb15ea4c0>]))]
[2021-05-23 10:01:19] Building debian packages, running 'sbuild -A -s -v'.
[2021-05-23 11:16:22] Built ['minetest-mod-mobs-redo_20181016-2~jan+lint1_amd64.changes'].
[2021-05-23 11:16:22] Running lintian
[2021-05-23 11:16:24] Pushing result branch to RemoteVcsManager('https://janitor.debian.net/')
Traceback (most recent call last):
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 723, in do_open
    response = connection.getresponse()
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 279, in getresponse
    self._response = http_client.HTTPConnection.getresponse(self)
  File "/usr/lib/python3.9/http/client.py", line 1347, in getresponse
    response.begin()
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 200, in begin
    http_client.HTTPResponse.begin(self)
  File "/usr/lib/python3.9/http/client.py", line 307, in begin
    version, status, reason = self._read_status()
  File "/usr/lib/python3.9/http/client.py", line 289, in _read_status
    raise BadStatusLine(line)
http.client.BadStatusLine: 22



During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 723, in do_open
    response = connection.getresponse()
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 279, in getresponse
    self._response = http_client.HTTPConnection.getresponse(self)
  File "/usr/lib/python3.9/http/client.py", line 1347, in getresponse
    response.begin()
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 200, in begin
    http_client.HTTPResponse.begin(self)
  File "/usr/lib/python3.9/http/client.py", line 307, in begin
    version, status, reason = self._read_status()
  File "/usr/lib/python3.9/http/client.py", line 276, in _read_status
    raise RemoteDisconnected("Remote end closed connection without"
http.client.RemoteDisconnected: Remote end closed connection without response

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/janitor/debian-janitor/janitor/pull_worker.py", line 238, in run_worker
    import_branches(
  File "/home/janitor/debian-janitor/janitor/vcs.py", line 311, in import_branches
    import_branches_git(
  File "/home/janitor/debian-janitor/janitor/vcs.py", line 275, in import_branches_git
    inter.fetch_refs(get_changed_refs, lossy=False, overwrite=True)
  File "/home/janitor/debian-janitor/breezy/breezy/git/interrepo.py", line 815, in fetch_refs
    new_refs = self.target.send_pack(
  File "/home/janitor/debian-janitor/breezy/breezy/git/remote.py", line 949, in send_pack
    return self.controldir.send_pack(get_changed_refs, generate_pack_data)
  File "/home/janitor/debian-janitor/breezy/breezy/git/remote.py", line 486, in send_pack
    return self._client.send_pack(
  File "/home/janitor/debian-janitor/dulwich/dulwich/client.py", line 1972, in send_pack
    old_refs, server_capabilities, url = self._discover_references(
  File "/home/janitor/debian-janitor/dulwich/dulwich/client.py", line 1906, in _discover_references
    resp, read = self._http_request(url, headers, allow_compression=True)
  File "/home/janitor/debian-janitor/breezy/breezy/git/remote.py", line 783, in _http_request
    response = self.transport.request(
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 1850, in request
    response = self._opener.open(request)
  File "/usr/lib/python3.9/urllib/request.py", line 517, in open
    response = self._open(req, data)
  File "/usr/lib/python3.9/urllib/request.py", line 534, in _open
    result = self._call_chain(self.handle_open, protocol, protocol +
  File "/usr/lib/python3.9/urllib/request.py", line 494, in _call_chain
    result = func(*args)
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 828, in https_open
    return self.do_open(HTTPSConnection, request)
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 731, in do_open
    response = self.retry_or_raise(http_class, request, first_try)
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 629, in retry_or_raise
    response = self.do_open(http_class, request, False)
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 731, in do_open
    response = self.retry_or_raise(http_class, request, first_try)
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 670, in retry_or_raise
    raise my_exception.with_traceback(exc_tb)
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 723, in do_open
    response = connection.getresponse()
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 279, in getresponse
    self._response = http_client.HTTPConnection.getresponse(self)
  File "/usr/lib/python3.9/http/client.py", line 1347, in getresponse
    response.begin()
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 200, in begin
    http_client.HTTPResponse.begin(self)
  File "/usr/lib/python3.9/http/client.py", line 307, in begin
    version, status, reason = self._read_status()
  File "/usr/lib/python3.9/http/client.py", line 276, in _read_status
    raise RemoteDisconnected("Remote end closed connection without"
breezy.errors.ConnectionError: Connection error: while sending GET /git/minetest-mod-mobs-redo/info/refs?service=git-receive-pack: Remote end closed connection without response

Summary

Full worker log Full build log